****DATA APPENDIX DO FILE*****

****Set Working Directory to Command Files 



clear 

*Load Analysis Data 
use "../Analysis Data/Analysis.dta"

******team 

*Find how many missing values there are and how the variable is coded
codebook team 


******year

*Find how many missing values there are and how the variable is coded
codebook year



*********man_tenure

*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook man_tenure

*generate a histogram illustrating the distribution ofthe variable 
histogram man_tenure, frequency title(Distribution of Length of Manager Tenure)

*********W

*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook W

*generate a histogram illustrating the distribution ofthe variable 
histogram W, frequency title(Distribution of Games Won in a Single Season)

*********L

*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook L

*generate a histogram illustrating the distribution ofthe variable 
histogram L, frequency title(Distribution of Games Lost in a Single Season)

*********WL

*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook WL

*generate a histogram illustrating the distribution ofthe variable 
histogram WL, frequency title(Distribution of Winning Percentage)


*********turnover

*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook turnover
*generate a histogram illustrating the distribution ofthe variable 
histogram turnover, frequency title(The Distribution of Offseason Player Turnover)



**********teampayroll
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook teampayroll

*generate a histogram illustrating the distribution ofthe variable 
histogram teampayroll, frequency title(The Distribution of Team Payroll per Team by Year)



*********OpenWAR
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook OpenWAR

*generate a histogram illustrating the distribution ofthe variable 
histogram OpenWAR, frequency title("The Distribution of the sum of WAR of" "Significant Players on the Opening Day Roster")



********parkfactor
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook parkfactor

*generate a histogram illustrating the distribution ofthe variable 
histogram parkfactor, frequency title("The Distribution of Park Factor Values")



*********leagueturnover
*Find how many missing values there are 
codebook leagueturnover

*view a frequency table for leagueturnover
tab leagueturnover
*generate a bar chart illustrating the percent frequency distribution
graph bar, over(leagueturnover)title("Percent Frequency Distribution of League Turnover") 


*********rostercont
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook rostercont

*generate a histogram illustrating the distribution ofthe variable 
histogram rostercont, frequency title("The Distribution of Roster Continuity")

*********catchcont
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook catchcont

*generate a histogram illustrating the distribution ofthe variable 
label variable catchcont CatcherRetention
histogram catchcont, frequency title("The Distribution of Catcher Continuity")

*********sscont
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook sscont

*generate a histogram illustrating the distribution ofthe variable 
label variable sscont ShortstopRetention
histogram sscont, frequency title("The Distribution of Shortstop Continuity")

*********startpitchcont
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook startpitchcont

*generate a histogram illustrating the distribution ofthe variable 
label variable startpitchcont PitchingRetention
histogram startpitchcont, frequency title("The Distribution of Starting Pitcher Continuity")

*********warexists
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook warexists

*generate a histogram illustrating the distribution ofthe variable 
histogram warexists, frequency title("The Distribution of Total Significant Players" "Per Team on Opening Day")

*********warpersig
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook warpersig

*generate a histogram illustrating the distribution ofthe variable 
histogram warpersig, frequency title("The Distribution of Opening Day WAR" "Per Significant Player")

*********totalplayers
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook totalplayers

*generate a histogram illustrating the distribution ofthe variable 
histogram totalplayers, frequency title("The Distribution of Total Players" "Per Team on Opening Day")

*********sigrate
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook sigrate

*generate a histogram illustrating the distribution ofthe variable 
histogram sigrate, frequency title("The Distribution of the Proportion of" "Significant Players per Team on Opening Day")

*********pythWL 
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook pythWL

*generate a histogram illustrating the distribution ofthe variable 
histogram pythWL, frequency title("The Distribution of Projected Win %" "Based on Pythagorean Expectation")

*******vegasW 
*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook vegasW 

*generate a histogram illustrating the distribution ofthe variable 
histogram vegasW, frequency title("The Distribution of Vegas Predictions for Team Win Totals") 

*********AllStarWL

*Find how many missing values there are
*Find the mean and standard deviation
*Find the min, 25th percentile, median, 75th percentile, and max 
codebook AllStarWL

*generate a histogram illustrating the distribution ofthe variable 
histogram AllStarWL, frequency title(Distribution of Win% at All Star Break)

*****END OF DATA APPENDIX

